export interface Organization {
    name: string;
    url: string;
    logo: string;
}
export interface SchemaOrg {
    title: string;
    url: string;
    author?: {
        name: string;
    };
    siteUrl: string;
    datePublished: string | false;
    defaultTitle: string;
    description: string;
    image: string;
    isBlogPost: boolean;
    organization?: Organization;
}
export declare const getSchemaOrg: ({ author, siteUrl, datePublished, defaultTitle, description, image, isBlogPost, organization, title, url }: SchemaOrg) => ({
    '@context': string;
    '@type': string;
    url: string;
    name: string;
    alternateName: string;
} | {
    '@context': string;
    '@type': string;
    itemListElement: {
        '@type': string;
        position: number;
        item: {
            '@id': string;
            name: string;
            image: string;
        };
    }[];
    url?: undefined;
    name?: undefined;
    alternateName?: undefined;
    headline?: undefined;
    image?: undefined;
    description?: undefined;
    author?: undefined;
    publisher?: undefined;
    mainEntityOfPage?: undefined;
    datePublished?: undefined;
} | {
    '@context': string;
    '@type': string;
    url: string;
    name: string;
    alternateName: string;
    headline: string;
    image: {
        '@type': string;
        url: string;
    };
    description: string;
    author: {
        '@type': string;
        name: string | undefined;
    };
    publisher: {
        '@type': string;
        url: string | undefined;
        logo: {
            '@type': string;
            url: string | undefined;
        };
        name: string | undefined;
    };
    mainEntityOfPage: {
        '@type': string;
        '@id': string;
    };
    datePublished: string | false;
    itemListElement?: undefined;
})[];
