"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jaen_utils_1 = require("jaen-utils");
const GatsbyConfig = {
    jsxRuntime: 'automatic',
    jsxImportSource: '@emotion/react',
    siteMetadata: jaen_utils_1.JaenSource.jaenData.internal?.siteMetadata
};
GatsbyConfig.plugins = [
    `@chakra-ui/gatsby-plugin`,
    `gatsby-plugin-emotion`,
    {
        resolve: `gatsby-plugin-sharp`,
        options: {
            defaults: {
                formats: [`auto`, `webp`],
                placeholder: `dominantColor`,
                quality: 50,
                breakpoints: [750, 1080, 1366, 1920],
                backgroundColor: `transparent`,
                tracedSVGOptions: {},
                blurredOptions: {},
                jpgOptions: {},
                pngOptions: {},
                webpOptions: {},
                avifOptions: {}
            }
        }
    },
    `gatsby-transformer-sharp`,
    `gatsby-plugin-image`,
    {
        resolve: `gatsby-plugin-nprogress`,
        options: {
            showSpinner: false,
            trickle: false,
            minimum: 0.4
        }
    }
];
const addSourcePluginIfPathExists = (plugins = [], options) => {
    if (options.path) {
        plugins.push({
            resolve: 'gatsby-source-filesystem',
            options: {
                name: options.name,
                path: options.path,
                ignore: [`**/.gitkeep`]
            }
        });
    }
};
addSourcePluginIfPathExists(GatsbyConfig.plugins, {
    name: 'jaen-pages',
    path: jaen_utils_1.JaenSource.sourcePagesPath
});
addSourcePluginIfPathExists(GatsbyConfig.plugins, {
    name: 'jaen-templates',
    path: jaen_utils_1.JaenSource.sourceTemplatesPath
});
addSourcePluginIfPathExists(GatsbyConfig.plugins, {
    name: 'jaen-views',
    path: jaen_utils_1.JaenSource.sourceViewsPath
});
addSourcePluginIfPathExists(GatsbyConfig.plugins, {
    name: 'jaen-popups',
    path: jaen_utils_1.JaenSource.sourcePopupsPath
});
exports.default = GatsbyConfig;
//# sourceMappingURL=gatsby-config.js.map