import type { IJaenFields, IJaenPage, IJaenSection } from '@snek-at/jaen/dist/types.js';
import { Reporter, Store } from 'gatsby';
import { IGatsbyImageData } from 'gatsby-plugin-image';
import { CreateRemoteFileNodeArgs } from 'gatsby-source-filesystem';
export interface IProcessGatbsy {
    createNode: CreateRemoteFileNodeArgs['createNode'];
    createNodeId: CreateRemoteFileNodeArgs['createNodeId'];
    cache: CreateRemoteFileNodeArgs['cache'];
    store: Store;
    reporter: Reporter;
}
export declare const processPage: ({ page, ...rest }: {
    page: IJaenPage;
} & IProcessGatbsy) => Promise<void>;
export declare const processSections: ({ sections, ...rest }: {
    sections: IJaenSection[];
} & IProcessGatbsy) => Promise<void>;
export interface IProcessIMAtoNodes extends IProcessGatbsy {
    node: {
        id: string;
        jaenFields: IJaenFields;
        jaenFiles: Array<{
            id: string;
            childImageSharp: {
                gatsbyImageData: IGatsbyImageData;
            };
        }>;
    };
    type: string;
    field: NonNullable<IJaenPage['jaenFields']>['string'];
}
export declare const processIMAtoNodes: ({ node, type, field, ...rest }: IProcessIMAtoNodes) => Promise<void>;
