import { Root as MdastRoot } from 'mdast';
import { SearchIndex } from './types.js';
interface Node {
    id: string;
    path: string;
    jaenPageMetadata?: {
        title?: string;
        description?: string;
    };
    jaenFields?: {
        'IMA:MdxField'?: Record<string, {
            value: MdastRoot;
        }>;
        'IMA:TextField'?: Record<string, {
            value: string;
            props?: {
                as?: string;
                id?: string;
                relatedName?: string;
            };
        }>;
    };
    type: string;
}
export declare const buildSearchIndex: (nodes: Node[]) => Promise<SearchIndex>;
export {};
