"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBuiltSearchIndex = void 0;
async function getBuiltSearchIndex() {
    try {
        const res = await fetch('/search-index.json', {
            headers: {
                'Content-Type': 'application/json'
            }
        });
        if (!res.ok) {
            throw new Error('Failed to retrieve the built search index data.');
        }
        const data = await res.json();
        return data;
    }
    catch (err) {
        console.error('Error occurred while retrieving the built search index:', err);
        return {};
    }
}
exports.getBuiltSearchIndex = getBuiltSearchIndex;
//# sourceMappingURL=get-built-search-index.js.map