"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeSearchIndex = void 0;
const mergeSearchIndex = (a, b) => {
    const result = { ...a };
    Object.keys(b).forEach(key => {
        const bValue = b[key];
        const aValue = result[key];
        if (bValue && aValue) {
            result[key] = {
                id: bValue.id || aValue.id,
                title: bValue.title || aValue.title,
                type: bValue.type || aValue.type,
                data: {
                    ...(aValue.data || {}),
                    ...(bValue.data || {})
                }
            };
        }
        else {
            const value = bValue || aValue;
            if (value) {
                result[key] = value;
            }
        }
    });
    return result;
};
exports.mergeSearchIndex = mergeSearchIndex;
//# sourceMappingURL=merge-search-index.js.map